> ## Name

> cgGetAnnotationName - get an annotation's name

> ## Synopsis

>     #include <Cg/cg.h>

>     const char * cgGetAnnotationName( CGannotation ann );

> ## Parameters

> ann
>   The annotation from which to get the name.

> ## Return Values

> Returns the null-terminated name string for the annotation.

> Returns NULL if ann is invalid.

> ## Description

> cgGetAnnotationName allows the application to retrieve the name of a annotation. This name can be used later to retrieve the annotation using cgGetNamedPassAnnotation, cgGetNamedParameterAnnotation, cgGetNamedTechniqueAnnotation, or cgGetNamedProgramAnnotation.

> ## Examples

> to-be-written

> ## Errors

> CG_INVALID_ANNOTATION_HANDLE_ERROR is generated if ann is not a valid annotation.

> ## History

> cgGetAnnotationName was introduced in Cg 1.4.

> ## See Also

> cgGetNamedPassAnnotation, cgGetNamedParameterAnnotation, cgGetNamedTechniqueAnnotation, cgGetNamedProgramAnnotation